EZCart Docs
ApiV1StoreShopShipping methods

Get available shipping methods and zones for the shop

Get available shipping methods and zones for the shop.

GET
/v1/store/shop/shipping-methods

Query Parameters

shopId?string

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/shop/shipping-methods"
{
  "methods": [
    {
      "id": "string",
      "name": "string",
      "description": {},
      "slaText": {},
      "slaMinDays": {},
      "slaMaxDays": {},
      "minOrderValueForFreeShipping": {},
      "codSurchargeEnabled": true,
      "codSurchargeType": {},
      "codSurchargeValue": {},
      "zones": [
        {
          "type": "string",
          "baseRate": 0,
          "baseWeightKg": {},
          "additionalWeightPricePerKg": {}
        }
      ]
    }
  ]
}